Name:           owncloud-client
Version:        5.3.1.14018
Release:        0%{?dist}
Summary:        OwnCloud Desktop Client

License:        GPL-2.0-or-later
URL:            https://owncloud.com/desktop-app
Source0:        https://download.owncloud.com/desktop/ownCloud/stable/5.3.1.14018/source/ownCloud-5.3.1.14018.tar.xz


BuildRequires:  qt6-qttools-devel
BuildRequires:  libzstd-devel
BuildRequires:  litehtml-devel
BuildRequires:  sqlite-devel
BuildRequires:  kdsingleapplication-qt6-devel
BuildRequires:  libre-graph-api-cpp-qt-devel
BuildRequires:  qtkeychain-qt6-devel

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  ninja-build
BuildRequires:  gcc-c++
BuildRequires:  doxygen
BuildRequires:  python3-sphinx

%description
OwnCloud Desktop Client


%package cli
Summary:        OwnCloud CLI client

%description cli
OwnCloud CLI client


%package libs
Summary:        OwnCloud libraries

%description libs
OwnCloud libraries


%package devel
Summary:        Development files for owncloud
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Development files for owncloud


%prep
%autosetup -n ownCloud-%{version}


%build
%cmake -DBUILD_TESTING=OFF -DKDE_INSTALL_SYSCONFDIR=%{_sysconfdir}
%cmake_build


%install
%cmake_install


%files
%{_bindir}/owncloud
%{_datadir}/applications/owncloud.desktop
%{_datadir}/mime/packages/owncloud.xml
%{_qt6_plugindir}/owncloud*.so

%{_iconsdir}/hicolor/1024x1024/apps/*.png
%{_iconsdir}/hicolor/128x128/apps/*.png
%{_iconsdir}/hicolor/16x16/apps/*.png
%{_iconsdir}/hicolor/24x24/apps/*.png
%{_iconsdir}/hicolor/256x256/apps/*.png
%{_iconsdir}/hicolor/32x32/apps/*.png
%{_iconsdir}/hicolor/48x48/apps/*.png
%{_iconsdir}/hicolor/64x64/apps/*.png
%{_iconsdir}/hicolor/72x72/apps/*.png

%files cli
%{_bindir}/owncloudcmd
%{_datadir}/applications/owncloudcmd.desktop


%files libs
%license COPYING COPYING.documentation
%doc README.md CHANGELOG.md CONTRIBUTING.md
%config(noreplace) %{_sysconfdir}/ownCloud
%{_libdir}/libowncloudsync.so.*
%{_libdir}/libowncloud_csync.so.*
%{_libdir}/libowncloudResources.so.*


%files devel
%{_includedir}/ownCloud
%{_libdir}/cmake/ownCloud
%{_libdir}/libowncloudsync.so
%{_libdir}/libowncloud_csync.so
%{_libdir}/libowncloudResources.so


%changelog
%autochangelog

